> ## Documentation Index
> Fetch the complete documentation index at: https://docs.utage-system.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 受講生の登録コース・コミュニティ追加

> 受講生をバンドル・単一コース・コミュニティグループに登録します。管理画面「登録コース・コミュニティ」の「追加」と同じです。`type` に応じて `bundle_id` / `course_id` / `community_group_id` のいずれか 1 つを指定します。登録日（`enrolled_at`）を省略すると現在日時になります。登録日は、コースの開放日の設定で登録日を基準にする場合の起点になります。

- 指定したバンドル・コース・コミュニティグループがサイトに無い（削除済みを含む）場合は 422（`validation_error`。指定した ID の項目に理由）
- 同じ対象に登録済み（停止中を含む）の場合は 409（`conflict`）
- `type=community_group` で、サイトのコミュニティ機能が「利用する」でない場合は 400（`bad_request`）

単一コースはステータスが「下書き」のコースも指定できます。


`POST`

```
https://api.utage-system.com/v1/members/{site_id}/students/{student_id}/enrollments
```


## OpenAPI

````yaml POST /members/{site_id}/students/{student_id}/enrollments
openapi: 3.0.3
info:
  title: UTAGE API
  description: >
    UTAGEのパブリックAPIです。ファネル、メール・LINE配信、会員サイト、イベント・予約、決済、メディアなどのリソースをプログラムから操作できます。


    ## 認証

    すべてのリクエストにAPIキーによるBearer認証が必要です（要素タイプ・LINEメッセージタイプ・配信条件タイプの参照エンドポイントを除く）。


    ```

    Authorization: Bearer {api_key}

    ```


    APIキーはUTAGE管理画面から発行できます。APIキーが未指定・無効・無効化済みの場合、またはアカウントが利用停止中の場合は `401
    Unauthorized`（`error.code` は `unauthorized`）が返されます。


    ## レート制限

    リクエスト数には以下の制限があります。表の値は既定値で、契約内容により異なる場合があります。


    | 分間上限 | 日間上限 |

    |----------|----------|

    | 60リクエスト/分（APIキー単位・暦の1分ごと） | 10,000リクエスト/日（アカウント単位・暦日ごと） |


    レスポンスヘッダーで分間上限の窓が終わる時刻を確認できます（分間の残数と日間の残数はヘッダーに含まれません）。


    | ヘッダー | 説明 |

    |----------|------|

    | X-RateLimit-Limit | 接続元IP単位でAPI全体に掛かる制限の上限値（APIキー単位の分間上限ではありません） |

    | X-RateLimit-Remaining | 接続元IP単位の制限の残りリクエスト数（分間上限の残数ではありません） |

    | X-RateLimit-Reset | APIキー単位の分間上限で、現在の1分間の窓が終わる（次の分が始まる）UNIXタイムスタンプ |


    上限を超えた場合は `429 Too Many Requests`（`error.code` は
    `rate_limit_exceeded`）が返されます。日間上限の超過時は `X-RateLimit-Reset`
    が翌日0:00になります（`X-RateLimit-Limit` / `X-RateLimit-Remaining`
    は超過時も接続元IP単位の値です）。認証不要のエンドポイントと読者作成（`POST
    /accounts/{account_id}/scenarios/{scenario_id}/readers`、`POST
    /accounts/{account_id}/line/friends/{friend_id}/readers`）はレート制限の対象外で、`X-RateLimit-Reset`
    ヘッダーは付きません。


    データを作成するAPIには、これとは別にAPI経由の作成件数の上限があります。超過時は `429` で `total_limit_exceeded` /
    `hourly_limit_exceeded` / `monthly_limit_exceeded`
    が返され、`details.resource_type` に対象のリソース種別が含まれます。


    ## エラーレスポンス

    エラー時は以下の形式で返されます。


    ```json

    {
      "error": {
        "code": "error_code",
        "message": "エラーメッセージ"
      }
    }

    ```


    エラーの種類によっては `error.details`
    に補足情報（バリデーションの項目別エラー、`retry_after`、`resource_type` など）が含まれます。
  version: '1.0'
  contact:
    name: UTAGE サポート
servers:
  - url: https://api.utage-system.com/v1
    description: UTAGE API
security:
  - BearerAuth: []
tags:
  - name: ファネル
    description: ファネルの作成・更新・一覧取得
  - name: ステップ
    description: ファネル内のステップの作成・更新・並び替え・一覧取得
  - name: ページ
    description: ステップ内のページの作成・更新・取得・削除・一覧取得
  - name: 配信アカウント
    description: 配信アカウントの作成・一覧取得
  - name: シナリオ
    description: シナリオの作成・一覧取得
  - name: メディア
    description: 動画・音声・通常メディアの一覧取得・アップロード・名称変更
  - name: 要素タイプ
    description: ファネルページ・レッスン・HTMLメールの要素タイプ定義、LINEメッセージタイプ・配信条件タイプの取得（認証不要）
  - name: ファネル統計
    description: ファネルの集計データ・登録者・登録経路の取得
  - name: 配信メッセージ
    description: 配信メッセージの作成・更新・テスト送信・配信統計、置き換え文字の取得
  - name: 読者
    description: 読者の作成・更新・取得、ラベル・配信履歴・開封/クリック履歴の取得
  - name: LINE
    description: LINE友だち・カスタム送信者・1対1チャット・テンプレート・テンプレートグループ・リッチメニュー・自動応答の操作
  - name: ラベル・共通読者・登録経路
    description: ラベル・共通読者・アクション・登録経路の操作
  - name: 登録経路
    description: ファネルの登録経路・登録経路グループの作成・取得・更新・削除
  - name: ファネルアクション
    description: ファネルアクション（管理画面「アクション設定」）の作成・取得・更新・削除とアクショングループの一覧取得
  - name: 登録フォーム・読者項目
    description: 読者項目と登録フォーム項目の作成・更新・取得・削除・並び替え
  - name: 連携
    description: Googleスプレッドシート連携アカウント・広告連携設定の一覧取得
  - name: 会員サイト
    description: 会員サイトの一覧取得・作成・取得・更新・削除・並び替え
  - name: コース
    description: 会員サイト配下のコースの一覧取得・作成・取得・更新・削除・並び替え
  - name: コースグループ
    description: コースグループの一覧取得・作成・取得・更新・削除
  - name: バンドル
    description: バンドル（受講生に開放するコース・コミュニティグループのセット）の一覧取得・作成・取得・更新・削除・並び替え
  - name: レッスン
    description: 会員サイトのレッスン・レッスングループの操作と、レッスンごと受講状況・受講完了者の取得
  - name: 受講生
    description: 会員サイトの受講生の作成・更新・取得・削除、受講状況・操作履歴の取得、コース・バンドルの登録受講生一覧
  - name: 登録コース・コミュニティ
    description: 受講生のバンドル・単一コース・コミュニティグループへの登録の追加・更新・解除・一覧取得
  - name: コミュニティグループ
    description: 会員サイトのコミュニティグループの一覧取得
  - name: イベント
    description: イベント（セミナー・説明会、個別相談・個別予約）の一覧取得・作成・取得・更新・削除
  - name: 日程
    description: イベントの日程の一覧取得・作成・取得・更新・削除
  - name: 日程設定
    description: 個別相談・個別予約タイプのイベントの日程設定（開催する曜日・時間帯・特定日の開催設定・担当者・日程の表示期間）の取得・更新
  - name: 申込フォーム・申込者項目
    description: イベントの申込フォームの基本項目・申込者項目の取得・更新
  - name: 申込者
    description: イベントの申込者の一覧取得・詳細取得・更新
  - name: イベントグループ
    description: イベントグループ（イベント一覧の「グループ管理」）の作成・更新・一覧取得・削除
  - name: 担当者
    description: 担当者（個別相談・個別予約の「担当者設定」）の作成・更新・一覧取得・削除と連携用リンクの発行・削除
  - name: 商品
    description: 商品の一覧取得・作成・取得・更新・削除・並び替え
  - name: 商品グループ
    description: 商品グループの一覧取得・作成・取得・更新・削除
  - name: 商品詳細
    description: 商品配下の商品詳細（価格・支払方法・決済代行会社・支払回数・購入後の動作・通知設定）の作成・更新・並び替え・取得・削除
  - name: 売上
    description: 売上の一覧・詳細取得、領収書・請求書設定の更新、銀行振込の入金反映、削除、月別・日別売上集計
paths:
  /members/{site_id}/students/{student_id}/enrollments:
    post:
      tags:
        - 登録コース・コミュニティ
      summary: 受講生の登録コース・コミュニティ追加
      description: >
        受講生をバンドル・単一コース・コミュニティグループに登録します。管理画面「登録コース・コミュニティ」の「追加」と同じです。`type` に応じて
        `bundle_id` / `course_id` / `community_group_id` のいずれか 1
        つを指定します。登録日（`enrolled_at`）を省略すると現在日時になります。登録日は、コースの開放日の設定で登録日を基準にする場合の起点になります。


        - 指定したバンドル・コース・コミュニティグループがサイトに無い（削除済みを含む）場合は 422（`validation_error`。指定した
        ID の項目に理由）

        - 同じ対象に登録済み（停止中を含む）の場合は 409（`conflict`）

        - `type=community_group` で、サイトのコミュニティ機能が「利用する」でない場合は 400（`bad_request`）


        単一コースはステータスが「下書き」のコースも指定できます。
      operationId: createMemberStudentEnrollment
      parameters:
        - $ref: '#/components/parameters/MemberSiteId'
        - $ref: '#/components/parameters/MemberStudentId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - bundle
                    - course
                    - community_group
                  example: bundle
                  description: >-
                    登録の種類（bundle: バンドル / course: 単一コース / community_group:
                    コミュニティグループ）
                bundle_id:
                  type: string
                  description: バンドルID（`type=bundle` のとき必須。バンドル一覧取得で取得）
                course_id:
                  type: string
                  description: コースID（`type=course` のとき必須。コース一覧取得で取得）
                community_group_id:
                  type: string
                  description: コミュニティグループID（`type=community_group` のとき必須。コミュニティグループ一覧取得で取得）
                enrolled_at:
                  type: string
                  description: >-
                    登録日（`YYYY-MM-DD` または `YYYY-MM-DD HH:MM:SS`。1970-01-02 から
                    2038-01-18 の範囲。省略時は現在日時）
      responses:
        '201':
          description: 作成された登録
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MemberEnrollment'
        '400':
          description: '`type=community_group` で、サイトのコミュニティ機能が「利用する」でない'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: bad_request
                  message: コミュニティ機能が有効ではありません
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          description: 同じバンドル・コース・コミュニティグループに登録済み（停止中の登録を含む）
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: conflict
                  message: 既に登録されています
        '422':
          description: >
            バリデーションエラー（`validation_error`）。指定したバンドル・コース・コミュニティグループがサイトに無い場合も、指定した
            ID の項目に理由を含めて返ります。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: validation_error
                  message: 入力内容に誤りがあります
                  details:
                    course_id:
                      - 指定されたコースが見つかりません
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
components:
  parameters:
    MemberSiteId:
      name: site_id
      in: path
      required: true
      description: 会員サイトID
      schema:
        type: string
    MemberStudentId:
      name: student_id
      in: path
      required: true
      description: 受講生ID
      schema:
        type: string
  schemas:
    MemberEnrollment:
      type: object
      description: >-
        受講生の登録（バンドル・単一コース・コミュニティグループのいずれか）。`type` に対応する `bundle` / `course` /
        `community_group` のみ値が入り、他は null
      properties:
        id:
          type: string
          description: 登録ID
        type:
          type: string
          enum:
            - bundle
            - course
            - community_group
          description: '登録の種類（bundle: バンドル / course: 単一コース / community_group: コミュニティグループ）'
        bundle:
          type: object
          nullable: true
          description: 登録先のバンドル（`type=bundle` 以外は null）
          properties:
            id:
              type: string
              description: バンドルID
            name:
              type: string
              description: バンドル名
        course:
          type: object
          nullable: true
          description: 登録先の単一コース（`type=course` 以外は null）
          properties:
            id:
              type: string
              description: コースID
            name:
              type: string
              description: コース名
            system_name:
              type: string
              nullable: true
              description: 管理名称
        community_group:
          type: object
          nullable: true
          description: 登録先のコミュニティグループ（`type=community_group` 以外は null）
          properties:
            id:
              type: string
              description: コミュニティグループID
            name:
              type: string
              description: グループ名
        enrolled_at:
          type: string
          description: 登録日（Y-m-d H:i:s）
        cancelled_at:
          type: string
          nullable: true
          description: 停止日（Y-m-d H:i:s。停止していない場合は null）
        created_at:
          type: string
          nullable: true
          description: 作成日時（Y-m-d H:i:s）
        updated_at:
          type: string
          nullable: true
          description: 更新日時（Y-m-d H:i:s）
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード
            message:
              type: string
              description: エラーメッセージ
            details:
              type: object
              nullable: true
              description: >-
                エラーの補足情報（`retry_after` /
                `resource_type`、項目別のエラーメッセージ等）。エラー種別により含まれる場合があります。`422`
                の項目別エラーの値は通常はメッセージの配列ですが、会員サイト更新・コース更新の変更時だけ行う検証では文字列です。
  responses:
    Unauthorized:
      description: 認証エラー。APIキーが未指定・無効・無効化済み、またはアカウントが利用停止中。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: unauthorized
              message: APIキーが無効です
    NotFound:
      description: 指定されたリソースが見つかりません（`error.code` は `not_found`。`message` は資源ごとに異なります）。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: not_found
              message: ページが見つかりません
    RateLimitExceeded:
      description: >-
        レート制限超過（`rate_limit_exceeded`）。`X-RateLimit-Reset`
        の時刻（`details.retry_after` がある場合はその日時）以降に再試行してください。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: rate_limit_exceeded
              message: レート制限を超過しました
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: APIキーをBearerトークンとして指定

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.